Bug 166474 - Review request: perl-Class-ReturnValue - Class::ReturnValue Perl module
Review request: perl-Class-ReturnValue - Class::ReturnValue Perl module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Class-Ret...
:
Depends On: 165572
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-22 04:33 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-31 12:07:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-08-22 04:33:38 EDT
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Class-ReturnValue.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Class-ReturnValue-0.53-1.src.rpm

Description:
A return-value object that lets you treat it as as a boolean, array or object.
Comment 1 Ralf Corsepius 2005-08-22 04:45:56 EDT
This is a dependency of rt3
Comment 2 Paul Howarth 2005-08-25 07:33:40 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec file written in English and is legible
- sources match upstream
- package builds OK on FC4 and in mock for rawhide (i386)
- BR's OK
- no locales, libraries, subpackages, pkgconfigs etc. to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Nitpick:

- suggest adding Changes as %doc
- use %{?_smp_mflags} in make


APPROVED.

Note You need to log in before you can comment on or make changes to this bug.